Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticToolBarSeparatorUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.SeparatorUI
              javax.swing.plaf.basic.BasicSeparatorUI
                  javax.swing.plaf.basic.BasicToolBarSeparatorUI
                      com.jgoodies.looks.plastic.PlasticToolBarSeparatorUI

public final class PlasticToolBarSeparatorUI
extends BasicToolBarSeparatorUI

The JGoodies Plastic L&F implementation of `ToolBarSeparatorUI`. It differs from its superclass in that it uses a shared UI delegate.

Version:
  $Revision: 1.2 $
Author:
  Andrej Golovnin

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicSeparatorUI
`highlight, shadow`

Constructor Summary
`PlasticToolBarSeparatorUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicToolBarSeparatorUI
`getMaximumSize, getMinimumSize, getPreferredSize, installDefaults, paint`

Methods inherited from class javax.swing.plaf.basic.BasicSeparatorUI
`installListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticToolBarSeparatorUI

    public PlasticToolBarSeparatorUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 JGoodies Karsten Lentzsch. All Rights Reserved.